Subject: Re: MMU and BDI2000

From: Dan Malek <[email-masked]>
Date: Sat, 15 Sep 2001 18:20:34 -0400

Michael Habermann wrote:

> How do I get the swapper_pg_dir? Is it the constant address from System.map?

Ooops...You shouldn't have seen any version of the software that makes
any
reference to swapper_pg_dir.....

The configuration file you attached looks fine for the recent 2.4
kernels.
If you want to backtrace into the currently running application (useful
for system call parameters), ensure you enable the 'CONFIG_BDI_SWITCH'
option.  I left it disabled by default because it adds three
instructions
to the context switch overhead.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/